/*****************************************************************************
**  This is part of the CTSim program
**  Copyright (C) 1983-2000 Kevin Rosenberg
**
**  $Id: cio.h,v 1.8 2000/06/05 01:32:45 kevin Exp $
**  $Log: cio.h,v $
**  Revision 1.8  2000/06/05 01:32:45  kevin
**  Added C++ compatibility
**
**  Revision 1.7  2000/05/08 20:45:10  kevin
**  *** empty log message ***
**
**  Revision 1.6  2000/05/08 20:00:47  kevin
**  ANSI C changes
**
**  Revision 1.5  2000/05/07 12:46:19  kevin
**  made c++ compatible
**
**  Revision 1.4  2000/04/28 18:18:59  kevin
**  removed unused files
**
**  Revision 1.3  2000/04/28 14:14:16  kevin
**  *** empty log message ***
**
**
**  This program is free software; you can redistribute it and/or modify
**  it under the terms of the GNU General Public License (version 2) as
**  published by the Free Software Foundation.
**
**  This program is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**  GNU General Public License for more details.
**
**  You should have received a copy of the GNU General Public License
**  along with this program; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/
#ifndef __CIO_H
#define __CIO_H

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */


#define C_BLACK	     0			/* color codes */
#define C_BLUE       1
#define C_GREEN	     2
#define C_CYAN       3
#define C_RED	     4
#define C_MAGENTA    5
#define C_BROWN      6
#define C_WHITE      7
#define C_GREY       8
#define C_LTBLUE     9
#define C_LTGREEN   10
#define C_LTCYAN    11
#define C_LTRED     12
#define C_LTMAGENTA 13
#define C_YELLOW    14
#define C_LTWHITE   15

/*----------------------------------------------------------------------*/

/* screen character codes */

#define SC_BKSP		  8
#define SC_TAB		  9
#define SC_BLANK	' '


/* audio.c */
void cio_beep(void);
void cio_tone(double freq, double length);

/* crtput.c */
void cio_put_c(int c);
void cio_put_cc(int c, int count);
void cio_put_str(const char *str);

/* kbget.c */
unsigned int cio_kb_getc(void);
void cio_kb_ungetc(unsigned int c);
char *cio_kb_gets(char *str, int maxlen);
unsigned int cio_kb_waitc(const char *astr, int beep);

#ifdef __cplusplus
}
#endif /* _cplusplus */

#endif
